<?php
/*
Plugin Name: TouTiao Search Time Factor
Plugin URI: https://www.banwagongzw.com/273.html
Description: 给 WordPress 文章和页面头部添加头条搜索时间因子。
Version: 1.211009
Author: 搬瓦工中文网
Author URI: https://www.banwagongzw.com/
License: GPL-3.0
Text Domain: toutiao-search-time-factor
*/

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

add_action( 'wp_head', 'toutiao_search_time_factor' );
function toutiao_search_time_factor() {
    if ( is_single() || is_page() ) {
        echo '<meta property="bytedance:published_time" content="', get_the_time('Y-m-d\TH:i:s+08:00'), '" />', "\r\n";
        echo '<meta property="bytedance:updated_time" content="" content="', get_the_modified_time('Y-m-d\TH:i:s+08:00'), '" />', "\r\n";
    }
}
